<script>
export default {
  name: 'Pricing',
  props: {
    data: {
      type: Object,
      default: null,
    },
  },
};
</script>

<template>
  <div class="platform-pricing">
    <SlpContainer class="platform-pricing__container">
      <SlpIcon
        icon="slp-pricing-plans"
        size="lg"
        class="slp-mr-16 slp-mb-24 platform-pricing__icon"
      />
      <SlpRow class="container__row">
        <SlpColumn :cols="8">
          <div>
            <SlpTypography variant="heading2-bold" tag="h2">
              {{ data.header }}
            </SlpTypography>
          </div>
        </SlpColumn>
        <SlpColumn :cols="4">
          <SlpButton
            v-for="cta in data.ctas"
            :key="cta.button.text"
            :href="cta.button.externalUrl"
            :variant="cta.button.variant || 'primary'"
            :data-ga-name="cta.button.data_ga_name"
            :data-ga-location="cta.button.data_ga_location"
            class="platform-pricing__button"
            >{{ cta.button.text }}
            <SlpIcon icon="gl-arrow-right" class="slp-ml-8"
          /></SlpButton>
        </SlpColumn>
      </SlpRow>
    </SlpContainer>
  </div>
</template>

<style lang="scss" scoped>
.platform-pricing {
  position: relative;
  &:before {
    content: '';
    position: absolute;
    height: 100%;
    width: 100%;
    background-color: $color-surface-800;
    left: 0;
    top: 0;
    z-index: -1;
  }
  &__button {
    background-color: $color-surface-950;
    border: none;
    color: $color-text-300;
    display: flex;
    position: relative;
    border-radius: 4px;
    overflow: hidden;
    padding: 18px 16px;
    justify-content: center;
    margin: 0 auto 8px auto;
    transition: all 0.3s ease;

    @media (min-width: $breakpoint-md) {
      max-width: 260px;
    }

    &:hover {
      background-color: $color-surface-900;
      border: 0;
    }
    &:first-of-type {
      @media (max-width: $breakpoint-md) {
        margin-top: 48px;
      }
    }
    &:last-of-type {
      background: linear-gradient(
        93.83deg,
        rgba(199, 177, 254, 0.75) 7.27%,
        rgba(255, 212, 216, 0.75) 105.33%
      ) !important;
      color: $color-primary-200 !important;
      border: none !important;
      position: relative;
      overflow: hidden;

      &:after {
        content: '';
        position: absolute;
        top: 0;
        left: -200%;
        width: 200%;
        height: 100%;
        transform: skewX(-20deg);
        background-image: linear-gradient(
          to right,
          transparent,
          rgba(255, 255, 255, 0.5),
          transparent
        );
      }

      &:hover:after {
        animation: shine 0.8s ease-in-out;
      }
    }
  }
  &__container {
    padding: 80px 0 160px 0;
    @media (min-width: $breakpoint-md) {
      padding: 100px 0 280px 0;
    }
  }
  :deep .slp-col-md-4 {
    width: 100%;
  }
}
</style>
